PointCollection Class

class NXOpen.PointCollection

Bases: object

Represents a collection of smart NXOpen.Point.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Point is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. To obtain an instance of this class, refer to NXOpen.BasePart

New in version NX3.0.0.

Methods

Method Description
CreatePoint Creates a NXOpen.Point without parameters.
CreatePointOnPortExtractAlign Creates a NXOpen.Point at a NXOpen.Routing.Port.
CreatePointOnSectionCG Creates a NXOpen.Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode.
CreatePointOnSurfaceAxis Creates a parameterised point on the center line axis of the given face.
CreatePointSplarc Creates a Point draft smart point for splines as arcs
CreatePointSplineDefiningPoint Creates a NXOpen.Point at a spline defining point.
CreatePointSplinePole Creates a NXOpen.Point at a spline pole.
CreateQuadrantPoint Creates a quadrant point
CreateStockOffsetPoint Creates a Routing Stock Offset point.
CreateVirtualIntersectionPoint Creates a NXOpen.Point at the virtual intersection of two linear Edges or Curves.
DeletePoint Deletes a NXOpen.Point by adding the point to the delete list and then updating the delete list without performing a general update.
EditStockOffsetPoint Edits an existing Routing Stock Offset point with new information.
FindObject Finds the NXOpen.Point with the given identifier as recorded in a journal.
RemoveParameters Removes the parameters from an associative NXOpen.Point.

Enumerations

PointCollectionAlongCurveOption Enumeration Describes whether the input Scalar to the NXOpen.PointCollection.CreatePoint() method is either an absolute distance or a relative percentage.
PointCollectionPointOnCurveLocationOption Enumeration Describes whether the input Scalar to the NXOpen.PointCollection.CreatePoint() method is a relative percentage parameter or an absolute arc length or a relative percentage arc length.

Method Detail

CreatePoint

PointCollection.CreatePoint

Overloaded method CreatePoint

  • CreatePoint(coordinates)
  • CreatePoint(offset, offsetPoint, updateOption)
  • CreatePoint(face, scalarU, scalarV, updateOption)
  • CreatePoint(view, edgeCurve1, edgeCurve2, helpPt, updateOption)
  • CreatePoint(edgeCurve, scalarT, updateOption)
  • CreatePoint(edgeCurve, scalarT, locationOption, updateOption)
  • CreatePoint(edgeCurve, scalarT, updateOption, useReverseParameter)
  • CreatePoint(edgeCurve, pointOffset, distancePercent, option, sense, updateOption)
  • CreatePoint(scalarX, scalarY, scalarZ, updateOption)
  • CreatePoint(pointExtract, xform, updateOption)
  • CreatePoint(edgeCurve, angle, xform, updateOption)
  • CreatePoint(edgeCurve, updateOption)
  • CreatePoint(curve1, curve2, helpPt1, helpPt2, updateOption)
  • CreatePoint(curve1, curve2, startPoint, view, updateOption)
  • CreatePoint(face, curve, helpPt1, helpPt2, updateOption)
  • CreatePoint(plane, curve, helpPt1, helpPt2, updateOption)
  • CreatePoint(sphericalFace, updateOption)
  • CreatePoint(routePosition, xform, updateOption)
  • CreatePoint(csys, scalarX, scalarY, scalarZ, updateOption)
  • CreatePoint(point1, point2, distancePercentage, updateOption)
  • CreatePoint(exp, updateOption)
  • CreatePoint(face, projectedPoint, updateOption)
  • CreatePoint(faces, curve, helpPt1, helpPt2, updateOption)
  • CreatePoint(updateOption, annotation, t, side, block, attachFcfToDim)
  • CreatePoint(splarc, view)
  • CreatePoint(edgeCurve, scalarT, locationOption, specifiedPoint, updateOption)

-------------------------------------

Creates a NXOpen.Point without parameters.

Signature CreatePoint(coordinates)

Parameters:coordinates (NXOpen.Point3d) – Coordinates of a Point
Returns:
Return type:NXOpen.Point

New in version NX3.0.0.

License requirements: None.

-------------------------------------

Creates a NXOpen.Point using a NXOpen.Point and an NXOpen.Offset.

Signature CreatePoint(offset, offsetPoint, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point on a Surface or NXOpen.Face via U-V NXOpen.Scalar for the surface.

Signature CreatePoint(face, scalarU, scalarV, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point on the intersection of two NXOpen.Curve and/or NXOpen.Edge in a View.

Signature CreatePoint(view, edgeCurve1, edgeCurve2, helpPt, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the T parameter.

Signature CreatePoint(edgeCurve, scalarT, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the Percent parameter or Arc Length or Percent Arc Length.

Signature CreatePoint(edgeCurve, scalarT, locationOption, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the T parameter.

Signature CreatePoint(edgeCurve, scalarT, updateOption, useReverseParameter)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX7.5.2.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point along a NXOpen.Curve or NXOpen.Edge using a NXOpen.Point, and a NXOpen.Scalar representing the T parameter along the NXOpen.Curve. This NXOpen.Point is derived by finding the closest NXOpen.Point on the given curve to the given NXOpen.Point and then offsetting this Point along the given NXOpen.Curve by the arc length defined by T via absolute distance or relative percent.

Signature CreatePoint(edgeCurve, pointOffset, distancePercent, option, sense, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point via three NXOpen.Scalar.

Signature CreatePoint(scalarX, scalarY, scalarZ, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point via an existing NXOpen.Point using an optional NXOpen.Xform.

Signature CreatePoint(pointExtract, xform, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at an angle along an NXOpen.IBaseCurve.

Signature CreatePoint(edgeCurve, angle, xform, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point via the center of an NXOpen.Edge or NXOpen.Curve.

Signature CreatePoint(edgeCurve, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at the intersection of two Edges or Curves.

Signature CreatePoint(curve1, curve2, helpPt1, helpPt2, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at the apparent intersection of two Edges or Curves in a view.

Signature CreatePoint(curve1, curve2, startPoint, view, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at the intersection of a NXOpen.IParameterizedSurface and NXOpen.IBaseCurve.

Signature CreatePoint(face, curve, helpPt1, helpPt2, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at the intersection of a NXOpen.IBasePlane and NXOpen.IBaseCurve.

Signature CreatePoint(plane, curve, helpPt1, helpPt2, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at the center of a spherical face.

Signature CreatePoint(sphericalFace, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point at the given NXOpen.Routing.IRoutePosition.

Signature CreatePoint(routePosition, xform, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point via NXOpen.CartesianCoordinateSystem and three NXOpen.Scalar.

Signature CreatePoint(csys, scalarX, scalarY, scalarZ, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point between two points using a NXOpen.Scalar that represents a percentage of the distance between the points. The distance is measured from the first point to the second point. There is no limit on the percentage so the point can be outside the area between the two points.

Signature CreatePoint(point1, point2, distancePercentage, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point via an NXOpen.Expression.

Signature CreatePoint(exp, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a point by projecting onto a face.

Signature CreatePoint(face, projectedPoint, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX6.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Creates a NXOpen.Point at the intersection of a connected set of faces and NXOpen.IBaseCurve.

Signature CreatePoint(faces, curve, helpPt1, helpPt2, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

Creates a NXOpen.Point on a NXOpen.Annotations.Annotation and NXOpen.Scalar representing the T parameter.

Signature CreatePoint(updateOption, annotation, t, side, block, attachFcfToDim)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX8.0.0.

License requirements: drafting (“DRAFTING”)

-------------------------------------

Creates a NXOpen.Point at the center of a splarc.

Signature CreatePoint(splarc, view)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX8.0.0.

License requirements: drafting (“DRAFTING”)

-------------------------------------

Creates a NXOpen.Point on a NXOpen.Curve or NXOpen.Edge and NXOpen.Scalar representing the Location option and Location Reference

Signature CreatePoint(edgeCurve, scalarT, locationOption, specifiedPoint, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

-------------------------------------

CreatePointOnPortExtractAlign

PointCollection.CreatePointOnPortExtractAlign

Creates a NXOpen.Point at a NXOpen.Routing.Port.

The NXOpen.Routing.Port will be extraced into the work part if necessary. If the NXOpen.Routing.Port has already been extracted, the existing extract will be used. If extraction is not required, the input NXOpen.Routing.Port will be used.

Signature CreatePointOnPortExtractAlign(updateOption, port, distance)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

CreatePointOnSectionCG

PointCollection.CreatePointOnSectionCG

Creates a NXOpen.Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode.

Supports Dimple, Bead, Louver, Drawn Cutout and Normal Cutout. A Null object will be returned if an inapproriate face is passed as an argument.

Signature CreatePointOnSectionCG(updateOption, face)

Parameters:
Returns:

Point

Return type:

NXOpen.Point

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

CreatePointOnSurfaceAxis

PointCollection.CreatePointOnSurfaceAxis

Creates a parameterised point on the center line axis of the given face.

Signature CreatePointOnSurfaceAxis(face, parameter, updateOption)

Parameters:
Returns:

Point

Return type:

NXOpen.Point

New in version NX6.0.0.

License requirements: None.

CreatePointSplarc

PointCollection.CreatePointSplarc

Creates a Point draft smart point for splines as arcs

Signature CreatePointSplarc(splarc, view)

Parameters:
Returns:

Smart point

Return type:

NXOpen.Point

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

CreatePointSplineDefiningPoint

PointCollection.CreatePointSplineDefiningPoint

Creates a NXOpen.Point at a spline defining point.

Signature CreatePointSplineDefiningPoint(splineCurve, definingPointIndex, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

CreatePointSplinePole

PointCollection.CreatePointSplinePole

Creates a NXOpen.Point at a spline pole.

Signature CreatePointSplinePole(splineCurve, poleIndex, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

CreateQuadrantPoint

PointCollection.CreateQuadrantPoint

Creates a quadrant point

Signature CreateQuadrantPoint(curveOrEdge, quadrant, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX7.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

CreateStockOffsetPoint

PointCollection.CreateStockOffsetPoint

Creates a Routing “Stock Offset” point.

This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable “MAX_PATH_STOCK_DIA” which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.

Signature CreateStockOffsetPoint(basePoint, offsetDirr, offsetExpression, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX6.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

CreateVirtualIntersectionPoint

PointCollection.CreateVirtualIntersectionPoint

Creates a NXOpen.Point at the virtual intersection of two linear Edges or Curves.

Signature CreateVirtualIntersectionPoint(curve1, curve2, helpPt1, helpPt2, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

DeletePoint

PointCollection.DeletePoint

Deletes a NXOpen.Point by adding the point to the delete list and then updating the delete list without performing a general update.

Signature DeletePoint(point)

Parameters:point (NXOpen.Point) – Point to be deleted

New in version NX7.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

EditStockOffsetPoint

PointCollection.EditStockOffsetPoint

Edits an existing Routing “Stock Offset” point with new information.

This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable “MAX_PATH_STOCK_DIA” which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.

Signature EditStockOffsetPoint(basePoint, offsetDirr, offsetExpression, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Point

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

FindObject

PointCollection.FindObject

Finds the NXOpen.Point with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier of the Point you want
Returns:
Return type:NXOpen.Point

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR nx_masterfem (“Finite Element Modeling”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)

RemoveParameters

PointCollection.RemoveParameters

Removes the parameters from an associative NXOpen.Point.

Signature RemoveParameters(point)

Parameters:point (NXOpen.Point) – Point from which parameters will be removed

New in version NX7.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”) OR cam_base (“CAM BASE”)